NSRMM(8)

NAME
nsrmm - NetWorker media management command

SYNOPSIS

nsrmm
    [ -C ] [ -v | -q ] [ -s server ] [ -f device ]

nsrmm
    -m [ -v | -q ] [ -s server ] [ -f device ] [ -r ] [ volume ]

nsrmm
    -l [ -v | -q ] [ -s server ] [ -f device ] [ -myB ] [ -e forever ] [ -c capacity ] [ -o mode ] [ -b pool ] [ -R | volume ]

nsrmm
    { -u | -j } [ -v | -q ] [ -s server ] [ -y ] [ -f device | volume.. ]

nsrmm -p [ -v | -q ] [ -s server ] [ -f device ]

nsrmm
    { -d | -o mode } [ -v | -q ] [ -s server ] [ -Py ] [ -S ssid[/cloneid] | -V volid | volume ... ]

nsrmm
    -S ssid [ -w browse-time ] [ -e retention-time ]

DESCRIPTION
nsrmm a command line interface to manage the media and devices (tapes, disks, and files) used by NetWorker servers and storage nodes.

A volume is a physical piece of media, for example, a tape or disk cartridge. When dealing with file type devices, volume refers to a directory on a file system. NetWorker must have exclusive use of this directory, as files will be created and removed. The NetWorker system keeps track of which user files have been saved on which volumes, so they can be more easily recovered. Every volume managed by NetWorker has a volume name (also known as a volume label) selected by an operator. A volume name is specified when the volume is first introduced to the system. It can only be changed when a volume is relabeled. The volume should have an external label displaying its volume name for future reference. NetWorker refers to volumes by their volume names, for example, when requesting a volume for recovery.

The NetWorker system automatically manages an index that maps saved user files to volumes. NetWorker also keeps other attributes associated with a volume, including the expected capacity of the volume.

The NetWorker server requests that specific volumes be mounted by their name for recoveries, or any writable volumes for saves. These requests are submitted through the nsr_notification(5) mechanism. The nwadmin(8) console window or the nsrwatch(8) command can be used to monitor pending mount requests. Typically, the requests will also be written to the system console, or logged in a file. The same requests can be used as input for software that controls a jukebox (a device that automatically loads and unloads volumes).

Before the nsrmm command can be used (that is, before any data can be saved or recovered), at least one device must be configured for the NetWorker server. This is usually done with the nsr_ize(8) command when NetWorker is installed. The NetWorker configuration may be modified with the nwadmin(8) Administration menus or the nsradmin(8) command after NetWorker has been installed.

OPTIONS

-B  Verifies that the volume you want to label does not have a readable NetWorker label. Before labeling the volume, an attempt is made to read any existing label the volume may already possess. If you specify this option and the volume has a valid NetWorker label that is readable by the device currently being used, the label operation is canceled and an error message is displayed. If the volume does not contain a label that is readable by the current device, the volume may be labeled. This option is used by nsrd(8) when automatically labeling volumes on behalf of nsrmmd(8) requests.

-b pool
    Specifies the pool to which the volume belongs. -b pool can name any pool currently registered with nsrd. The possible values can be viewed by selecting the Pools menu item from the Administration menu of nwadmin(8) or using the nsradmin(8) command. The pool name is referenced by nsrd when determining which save sets can reside on the volume. If you omit this option, the volume is automatically assigned to the Default pool. If you specify a pool name without specifying a volume name, the next volume name associated with the pool's label template resource is used.

-C  Displays a list of NetWorker configured devices and the volumes currently mounted in them. This list displays only the devices and volumes assigned to the server, not the actual devices and volumes. The -p option verifies the volume label. -C is the default option.

-c capacity
    Overrides the default capacity of a volume. NetWorker normally uses built-in default capacities based on the device type. This option overrides these defaults. The format of the specification is number multiplier. Multiplier can be one of `K' (1024 bytes), `M' (1000 KB), or `G' (1000 MB). Lower case letters are also accepted, as are extra characters like spaces, or an extra `B' after `K', `M', or `G'. Number may be any value, including an integer or real number, with up to three decimal places.

-d  Deletes the client file indexes and media database entries from the NetWorker databases. The action does not destroy the volume: instead, it removes all references used by NetWorker to the volume and the user files contained on it. This option can be used to control the size of the NetWorker databases.

-e time
    When used in conjunction with the -S option, it sets the retention time of the specified save set. The retention time should be specified in the format that is acceptable to the function nsr_getdate(8). Note that the save set retention time may not be set such that the save set would become recyclable while it is still browsable. Refer to the -w option for more details on browse time. When used in conjunction with volumes, the volume labeled will be an Archive volume if the value of time is forever (Archive volumes mean that the volume label never expires). Any other value of time are not applicable to a volume.

-f device
    Specifies a device explicitly. When more than one device has been configured, nsrmm will select the first device by default. This option overrides the selection made by nsrmm.

-j  Ejects a volume from the device. This option is similar to performing an unmount operation, except that the volume is also physically ejected from the device, if possible. This feature is not supported by some device types, disk devices, and tapes.

-l  Labels (initializes) a volume for NetWorker to use and recognize. Labeling must be performed after the desired volume is physically loaded into the device, either by an operator or a jukebox.

-m  Mounts a volume into a device. Mounting is performed after a volume is placed into a device and labeled. You can mount only labeled volumes. The labeling and mounting operations can be combined into a single command line. See the EXAMPLES section.

-o mode
    Sets the mode of a volume, save set, or save set instance (clone). The mode can be one of the following: [not]recyclable, [not]readonly, [not]full, [not]manual or [not]suspect. The [not]recyclable mode applies to both volumes or save sets, but not clones. The [not]readonly, [not]full and [not]manual modes apply only to volumes. The [not]manual mode is the only valid mode when used with the -l option. The [not]suspect mode applies only to save set instances, meaning it must be specified along with -S ssid/cloneid, not just -S ssid by itself. (Remember that every instance of a save set has a clone id, even the original.) See nsrim(8) for a discussion of the per-volume flags. The suspect flag is set automatically when a recover(8) encounters a media error recovering data from a particular save set clone.

-P  When used in conjunction with the -d option the corresponding file index entries are purged, without deleting the entries in the media database. The scanner(8) command can then be used to recover the file index entries.

-p  Verifies and prints a volume's label. To confirm that the external volume label matches the internal label, load a volume into a drive and use this option to display the volume name in the label. Verifying a label unmounts mounted volumes.

-q  Quiet mode. This option tells nsrmm to print out as little information as possible while performing the requested operation. Generally, only error messages are printed.

-R  Relabels a volume. This option rewrites the volume label and purges the NetWorker indexes of all user files previously saved on the volume. Some of the volume usage information is maintained.

-r  Mounts a volume as read-only. To prevent NetWorker from writing to a volume, specify the read-only flag when mounting the volume. Volumes marked as full and those in the read-only mode (-o readonly) are automatically mounted read-only.

-s server
    Specifies the NetWorker server to perform the nsrmm operation on. See nsr(8) for a description of server selection.

-S ssid
    Changes ( -o) or removes ( -d) a save set from the NetWorker databases, or used in changing the browse time (specified with -w) or the retention time (specified with -e) of the specified save set record. The save set is identified by a save set identifier, ssid. A save set instance, or clone, can be specified using the format ssid/cloneid (but, it is ignored when used for the options -w and -e). The mminfo(8) program may be used to determine save set and clone identifiers.

-u  Unmounts a volume. A volume should always unmount a volume before you unload it from a device.

-V volid
    Removes a volume from the NetWorker databases when used in conjunction with the -d option. The volume is identified by a volume identifier, or volid. The mminfo(8) command can be used to determine volume identifiers.

-v  Verbose mode. This option polls the NetWorker server to print out more information as the operation proceeds.

-w browse time
    Specifies the browse time for the specified save set (supplied with the -S option). The browse time should be specified in the format that is acceptable to the function nsr_getdate(8). The browse time has to be after the insert time in the save set record, but it cannot be after the retention time. If the option -e was not used, the existing retention time in the save set record is used for comparing with the specified browse time. See under the option -e for more details on retention time.

-y  Do not confirm (potentially destructive) operations before performing them. This option must be used with extreme care.

EXAMPLES

Labeling new tapes:
    To introduce a new tape, named mars.001, to the NetWorker system, load the tape in an empty drive, then use the command:
    nsrmm -l mars.001

    The tape is labeled with mars.001 and an entry is made in the appropriate NetWorker indexes. The mminfo(8) command may be used to inspect the volume database and display information about the volumes:
    mminfo -m

Mounting a tape:
    To mount a NetWorker volume, use the -m option. Note that the volume must have been labeled previously and loaded in the drive:
    nsrmm -m

    When mounting, a volume name can also be specified:
    nsrmm -m mars.001

    The mount will fail unless the given volume name matches the one read from the media.

    By mounting a volume, you make the volume available to NetWorker. When nsrmmd(8) needs the volume, the label will be read again and confirmed, preventing accidental data loss. Volumes are also verified and mounted automatically if the server recovers after a crash.

Labeling and mounting a tape:
    A volume may be labeled and mounted with a single nsrmm command by combining the -m and -l options. The following example labels a volume as mars.003 and mounts it on device /dev/nrst0:
    nsrmm -m -l -f /dev/nrst0  mars.003

Unmounting or ejecting a volume:
    When a volume needs to be unmounted, use either the -u or -j option, depending on whether or not the device can physically eject a volume.
    nsrmm -u

    When more than one volume is mounted, you can specify either the volume name or device to select the desired volume. The following example ejects the volume named mars.003.
    nsrmm -j mars.003

Displaying the current volumes:
    The -C option displays the configured devices and the mounted volumes. This is the default option.
    nsrmm -C

Deleting a volume:
    To remove references to a volume and the user files saved on it from the NetWorker indexes, use the -d option. This option does not modify the physical volume, and should only be used when the physical volume is destroyed. By deleting a volume, you free up space in the NetWorker file index and the NetWorker media index, but not much more than if you had purged it. The amount of space released depends on the number of user files saved on the volume. The following example deletes the volume mars.003:
    nsrmm -d mars.003

    The scanner(8) command can be used to rebuild the database entries.

Purging file index entries:
    The file index contains information about each file saved by NetWorker. Due to size constraints, it may be necessary to purge information from the file index. When a volume or save set is deleted, the corresponding file index entries are also removed. It is also possible to preserve the media database entries of a volume while purging the file index by specifying the -P option when deleting.

    The following example purges all of the file index entries for volume mars.001:
        nsrmm -d -P mars.001

    The scanner(8) command can be used to recover the file index.

SEE ALSO
nsr(8), nsr_getdate(3), nsr_layout(5), nsr_device(5), nsr_notification(5), mminfo(8), nwadmin(8), nsrmmd(8), nsradmin(8), nsrim(8), nsr_ize(8), recover(8), scanner(8).

DIAGNOSTICS

type family volume mounted on device, write enabled
    Message indicating that the -m (mount) option was successfully performed on a device with the given media type and media family, for example, 8mm tape.

`saveset' is not a valid save set id
    The given save set identifier is not in the valid format. The format is either a single number (for the save set without reference to its instances), or two numbers separated by a slash (/) (representing a save set and clone (instance) identifier pair).

duplicate name; pick new name or delete old one
    It is illegal to label two tapes with the same name. If you wish to reuse a name, remove that volume from the index using the -d option.

Are you sure you want to over-write volume with a new label?
    An attempt is being made to relabel a volume. A positive confirmation will overwrite the existing data on that tape.

Purge file index entries for type family volume? ...
    After confirmation, the file index entries are removed.

volume not in media index
    The media index has no entry associated with volume, so the -m command cannot be used. This problem may be caused by mistyping the volume name when the tape was originally labeled, or deleting it.

No valid family label
    The tape or disk in the named device does not have a valid NetWorker label.